org.apache.jmeter.reporters

## Class ResultSaver

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.reporters.ResultSaver

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, NoThreadClone, Searchable, SampleListener, TestElement, TestStateListener

      public class ResultSaver
      extends AbstractTestElement
      implements NoThreadClone, java.io.Serializable, SampleListener, TestStateListener

  Save Result responseData to a set of files This is mainly intended for validation tests
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADD_TIMESTAMP`
    `static java.lang.String` | `ERRORS_ONLY`
    `static java.lang.String` | `FILENAME`
    `static java.lang.String` | `IGNORE_TC`
    `static java.lang.String` | `NUMBER_PAD_LENGTH`
    `static java.lang.String` | `SKIP_AUTO_NUMBER`
    `static java.lang.String` | `SKIP_SUFFIX`
    `static java.lang.String` | `SUCCESS_ONLY`
    `static java.lang.String` | `VARIABLE_NAME`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSaver()` Constructor is initially called once for each occurrence in the test plan For GUI, several more instances are created Then clear is called at start of test Called several times during test startup The name will not necessarily have been set at this point.
    `ResultSaver(java.lang.String name)` Constructor for use during startup (intended for non-GUI use)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `boolean` | `getAddTimeStamp()`
    `boolean` | `getErrorsOnly()`
    `java.lang.String` | `getFilename()`
    `boolean` | `getIgnoreTC()`
    `int` | `getNumberPadLen()`
    `boolean` | `getSkipAutoNumber()`
    `boolean` | `getSkipSuffix()`
    `boolean` | `getSuccessOnly()`
    `java.lang.String` | `getVariableName()`
    `int` | `hashCode()`
    `void` | `sampleOccurred(SampleEvent e)` Saves the sample result (and any sub results) in files
    `void` | `sampleStarted(SampleEvent e)` A sample has started.
    `void` | `sampleStopped(SampleEvent e)` A sample has stopped.
    `void` | `setAddTimestamp(boolean selected)`
    `void` | `setErrorsOnly(boolean selected)`
    `void` | `setFilename(java.lang.String value)`
    `void` | `setIgnoreTC(boolean value)`
    `void` | `setNumberPadLength(java.lang.String text)`
    `void` | `setSkipAutoNumber(boolean selected)`
    `void` | `setSkipSuffix(boolean selected)`
    `void` | `setSuccessOnly(boolean selected)`
    `void` | `setVariableName(java.lang.String value)`
    `void` | `testEnded()` Called once for all threads after the end of a test.
    `void` | `testEnded(java.lang.String host)` Called once for all threads after the end of a test.
    `void` | `testStarted()` Called just before the start of the test from the main engine thread.
    `void` | `testStarted(java.lang.String host)` Called just before the start of the test from the main engine thread.

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Field Detail

    - #### FILENAME

          public static final java.lang.String FILENAME

      See Also:
        Constant Field Values

    - #### VARIABLE_NAME

          public static final java.lang.String VARIABLE_NAME

      See Also:
        Constant Field Values

    - #### ERRORS_ONLY

          public static final java.lang.String ERRORS_ONLY

      See Also:
        Constant Field Values

    - #### SUCCESS_ONLY

          public static final java.lang.String SUCCESS_ONLY

      See Also:
        Constant Field Values

    - #### SKIP_AUTO_NUMBER

          public static final java.lang.String SKIP_AUTO_NUMBER

      See Also:
        Constant Field Values

    - #### SKIP_SUFFIX

          public static final java.lang.String SKIP_SUFFIX

      See Also:
        Constant Field Values

    - #### ADD_TIMESTAMP

          public static final java.lang.String ADD_TIMESTAMP

      See Also:
        Constant Field Values

    - #### NUMBER_PAD_LENGTH

          public static final java.lang.String NUMBER_PAD_LENGTH

      See Also:
        Constant Field Values

    - #### IGNORE_TC

          public static final java.lang.String IGNORE_TC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResultSaver

          public ResultSaver()

      Constructor is initially called once for each occurrence in the test plan For GUI, several more instances are created Then clear is called at start of test Called several times during test startup The name will not necessarily have been set at this point.

    - #### ResultSaver

          public ResultSaver(java.lang.String name)

      Constructor for use during startup (intended for non-GUI use)
      Parameters:
        `name` - of summariser

  - ### Method Detail

    - #### testStarted

          public void testStarted()

      Description copied from interface: `TestStateListener`

      Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testStarted` in interface `TestStateListener`
      See Also:
        `StandardJMeterEngine.run()`

    - #### testStarted

          public void testStarted(java.lang.String host)

      Description copied from interface: `TestStateListener`

      Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testStarted` in interface `TestStateListener`
      Parameters:
        `host` - name of host
      See Also:
        `StandardJMeterEngine.run()`

    - #### testEnded

          public void testEnded()

      Description copied from interface: `TestStateListener`

      Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testEnded` in interface `TestStateListener`
      See Also:
        `StandardJMeterEngine.stopTest()`

    - #### testEnded

          public void testEnded(java.lang.String host)

      Description copied from interface: `TestStateListener`

      Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

      N.B. testStarted() and testEnded() are called from different threads.

      Specified by:
        `testEnded` in interface `TestStateListener`
      Parameters:
        `host` - name of host
      See Also:
        `StandardJMeterEngine.stopTest()`

    - #### sampleOccurred

          public void sampleOccurred(SampleEvent e)

      Saves the sample result (and any sub results) in files
      Specified by:
        `sampleOccurred` in interface `SampleListener`
      Parameters:
        `e` - the `SampleEvent` that has occurred
      See Also:
        `SampleListener.sampleOccurred(org.apache.jmeter.samplers.SampleEvent)`

    - #### sampleStarted

          public void sampleStarted(SampleEvent e)

      A sample has started.
      Specified by:
        `sampleStarted` in interface `SampleListener`
      Parameters:
        `e` - the `SampleEvent` that has started

    - #### sampleStopped

          public void sampleStopped(SampleEvent e)

      A sample has stopped.
      Specified by:
        `sampleStopped` in interface `SampleListener`
      Parameters:
        `e` - the `SampleEvent` that has stopped

    - #### getFilename

          public java.lang.String getFilename()

    - #### getVariableName

          public java.lang.String getVariableName()

    - #### getErrorsOnly

          public boolean getErrorsOnly()

    - #### getSkipAutoNumber

          public boolean getSkipAutoNumber()

    - #### getSkipSuffix

          public boolean getSkipSuffix()

    - #### getSuccessOnly

          public boolean getSuccessOnly()

    - #### getAddTimeStamp

          public boolean getAddTimeStamp()

    - #### getNumberPadLen

          public int getNumberPadLen()

    - #### getIgnoreTC

          public boolean getIgnoreTC()

    - #### setIgnoreTC

          public void setIgnoreTC(boolean value)

    - #### setFilename

          public void setFilename(java.lang.String value)

    - #### hashCode

          public int hashCode()

      Description copied from class: `AbstractTestElement`
      Overrides:
        `hashCode` in class `AbstractTestElement`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from class: `AbstractTestElement`
      Overrides:
        `equals` in class `AbstractTestElement`

    - #### setAddTimestamp

          public void setAddTimestamp(boolean selected)

    - #### setVariableName

          public void setVariableName(java.lang.String value)

    - #### setNumberPadLength

          public void setNumberPadLength(java.lang.String text)

    - #### setErrorsOnly

          public void setErrorsOnly(boolean selected)

    - #### setSuccessOnly

          public void setSuccessOnly(boolean selected)

    - #### setSkipSuffix

          public void setSkipSuffix(boolean selected)

    - #### setSkipAutoNumber

          public void setSkipAutoNumber(boolean selected)

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.